SDL2_gfxBresenhamIterator Struct Reference

The structure passed to the internal Bresenham iterator. More...

## Data Fields

Sint16 | x
Sint16 | y
int | dx
int | dy
int | s1
int | s2
int | swapdir
int | error
Uint32 | count

## Detailed Description

The structure passed to the internal Bresenham iterator.

Definition at line 44 of file SDL2_gfxPrimitives.c.

## Field Documentation

## count

Uint32 count

Definition at line 47 of file SDL2_gfxPrimitives.c.

## dx

int dx

Definition at line 46 of file SDL2_gfxPrimitives.c.

## dy

int dy

Definition at line 46 of file SDL2_gfxPrimitives.c.

## error

int error

Definition at line 46 of file SDL2_gfxPrimitives.c.

## s1

int s1

Definition at line 46 of file SDL2_gfxPrimitives.c.

## s2

int s2

Definition at line 46 of file SDL2_gfxPrimitives.c.

## swapdir

int swapdir

Definition at line 46 of file SDL2_gfxPrimitives.c.

## x

Sint16 x

Definition at line 45 of file SDL2_gfxPrimitives.c.

## y

Sint16 y

Definition at line 45 of file SDL2_gfxPrimitives.c.

The documentation for this struct was generated from the following file:

- SDL2_gfxPrimitives.c